Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network240.0.0.0/4
Usable hosts268,435,454
Subnet mask240.0.0.0
Addresses268,435,456
Network address
240.0.0.0
Broadcast address
255.255.255.255
First usable
240.0.0.1
Last usable
255.255.255.254
Usable hosts
268,435,454 (268,435,456 less the network and broadcast addresses)
Subnet mask
240.0.0.0
Wildcard mask
15.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/4
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F0000000 · Integer 4026531840 to 4294967295
Reverse DNS zones
240.in-addr.arpa
241.in-addr.arpa
242.in-addr.arpa
243.in-addr.arpa
244.in-addr.arpa
245.in-addr.arpa
246.in-addr.arpa
247.in-addr.arpa
248.in-addr.arpa
249.in-addr.arpa
250.in-addr.arpa
251.in-addr.arpa
252.in-addr.arpa
253.in-addr.arpa
254.in-addr.arpa
255.in-addr.arpa
/4 is not on a 8-bit boundary, so it takes 16 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11110000.00000000.00000000.00000000240.0.0.0
Subnet mask11110000.00000000.00000000.00000000240.0.0.0
Network11110000.00000000.00000000.00000000240.0.0.0
Broadcast11111111.11111111.11111111.11111111255.255.255.255
Split into smaller subnets/12

240.0.0.0/4 makes 256 subnets of /12.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1240.0.0.0/12240.0.0.1 to 240.15.255.254240.15.255.2551,048,574
2240.16.0.0/12240.16.0.1 to 240.31.255.254240.31.255.2551,048,574
3240.32.0.0/12240.32.0.1 to 240.47.255.254240.47.255.2551,048,574
4240.48.0.0/12240.48.0.1 to 240.63.255.254240.63.255.2551,048,574
5240.64.0.0/12240.64.0.1 to 240.79.255.254240.79.255.2551,048,574
6240.80.0.0/12240.80.0.1 to 240.95.255.254240.95.255.2551,048,574
7240.96.0.0/12240.96.0.1 to 240.111.255.254240.111.255.2551,048,574
8240.112.0.0/12240.112.0.1 to 240.127.255.254240.127.255.2551,048,574
9240.128.0.0/12240.128.0.1 to 240.143.255.254240.143.255.2551,048,574
10240.144.0.0/12240.144.0.1 to 240.159.255.254240.159.255.2551,048,574
11240.160.0.0/12240.160.0.1 to 240.175.255.254240.175.255.2551,048,574
12240.176.0.0/12240.176.0.1 to 240.191.255.254240.191.255.2551,048,574
13240.192.0.0/12240.192.0.1 to 240.207.255.254240.207.255.2551,048,574
14240.208.0.0/12240.208.0.1 to 240.223.255.254240.223.255.2551,048,574
15240.224.0.0/12240.224.0.1 to 240.239.255.254240.239.255.2551,048,574
16240.240.0.0/12240.240.0.1 to 240.255.255.254240.255.255.2551,048,574
17241.0.0.0/12241.0.0.1 to 241.15.255.254241.15.255.2551,048,574
18241.16.0.0/12241.16.0.1 to 241.31.255.254241.31.255.2551,048,574
19241.32.0.0/12241.32.0.1 to 241.47.255.254241.47.255.2551,048,574
20241.48.0.0/12241.48.0.1 to 241.63.255.254241.63.255.2551,048,574
21241.64.0.0/12241.64.0.1 to 241.79.255.254241.79.255.2551,048,574
22241.80.0.0/12241.80.0.1 to 241.95.255.254241.95.255.2551,048,574
23241.96.0.0/12241.96.0.1 to 241.111.255.254241.111.255.2551,048,574
24241.112.0.0/12241.112.0.1 to 241.127.255.254241.127.255.2551,048,574
25241.128.0.0/12241.128.0.1 to 241.143.255.254241.143.255.2551,048,574
26241.144.0.0/12241.144.0.1 to 241.159.255.254241.159.255.2551,048,574
27241.160.0.0/12241.160.0.1 to 241.175.255.254241.175.255.2551,048,574
28241.176.0.0/12241.176.0.1 to 241.191.255.254241.191.255.2551,048,574
29241.192.0.0/12241.192.0.1 to 241.207.255.254241.207.255.2551,048,574
30241.208.0.0/12241.208.0.1 to 241.223.255.254241.223.255.2551,048,574
31241.224.0.0/12241.224.0.1 to 241.239.255.254241.239.255.2551,048,574
32241.240.0.0/12241.240.0.1 to 241.255.255.254241.255.255.2551,048,574
33242.0.0.0/12242.0.0.1 to 242.15.255.254242.15.255.2551,048,574
34242.16.0.0/12242.16.0.1 to 242.31.255.254242.31.255.2551,048,574
35242.32.0.0/12242.32.0.1 to 242.47.255.254242.47.255.2551,048,574
36242.48.0.0/12242.48.0.1 to 242.63.255.254242.63.255.2551,048,574
37242.64.0.0/12242.64.0.1 to 242.79.255.254242.79.255.2551,048,574
38242.80.0.0/12242.80.0.1 to 242.95.255.254242.95.255.2551,048,574
39242.96.0.0/12242.96.0.1 to 242.111.255.254242.111.255.2551,048,574
40242.112.0.0/12242.112.0.1 to 242.127.255.254242.127.255.2551,048,574
41242.128.0.0/12242.128.0.1 to 242.143.255.254242.143.255.2551,048,574
42242.144.0.0/12242.144.0.1 to 242.159.255.254242.159.255.2551,048,574
43242.160.0.0/12242.160.0.1 to 242.175.255.254242.175.255.2551,048,574
44242.176.0.0/12242.176.0.1 to 242.191.255.254242.191.255.2551,048,574
45242.192.0.0/12242.192.0.1 to 242.207.255.254242.207.255.2551,048,574
46242.208.0.0/12242.208.0.1 to 242.223.255.254242.223.255.2551,048,574
47242.224.0.0/12242.224.0.1 to 242.239.255.254242.239.255.2551,048,574
48242.240.0.0/12242.240.0.1 to 242.255.255.254242.255.255.2551,048,574
49243.0.0.0/12243.0.0.1 to 243.15.255.254243.15.255.2551,048,574
50243.16.0.0/12243.16.0.1 to 243.31.255.254243.31.255.2551,048,574
51243.32.0.0/12243.32.0.1 to 243.47.255.254243.47.255.2551,048,574
52243.48.0.0/12243.48.0.1 to 243.63.255.254243.63.255.2551,048,574
53243.64.0.0/12243.64.0.1 to 243.79.255.254243.79.255.2551,048,574
54243.80.0.0/12243.80.0.1 to 243.95.255.254243.95.255.2551,048,574
55243.96.0.0/12243.96.0.1 to 243.111.255.254243.111.255.2551,048,574
56243.112.0.0/12243.112.0.1 to 243.127.255.254243.127.255.2551,048,574
57243.128.0.0/12243.128.0.1 to 243.143.255.254243.143.255.2551,048,574
58243.144.0.0/12243.144.0.1 to 243.159.255.254243.159.255.2551,048,574
59243.160.0.0/12243.160.0.1 to 243.175.255.254243.175.255.2551,048,574
60243.176.0.0/12243.176.0.1 to 243.191.255.254243.191.255.2551,048,574
61243.192.0.0/12243.192.0.1 to 243.207.255.254243.207.255.2551,048,574
62243.208.0.0/12243.208.0.1 to 243.223.255.254243.223.255.2551,048,574
63243.224.0.0/12243.224.0.1 to 243.239.255.254243.239.255.2551,048,574
64243.240.0.0/12243.240.0.1 to 243.255.255.254243.255.255.2551,048,574
65244.0.0.0/12244.0.0.1 to 244.15.255.254244.15.255.2551,048,574
66244.16.0.0/12244.16.0.1 to 244.31.255.254244.31.255.2551,048,574
67244.32.0.0/12244.32.0.1 to 244.47.255.254244.47.255.2551,048,574
68244.48.0.0/12244.48.0.1 to 244.63.255.254244.63.255.2551,048,574
69244.64.0.0/12244.64.0.1 to 244.79.255.254244.79.255.2551,048,574
70244.80.0.0/12244.80.0.1 to 244.95.255.254244.95.255.2551,048,574
71244.96.0.0/12244.96.0.1 to 244.111.255.254244.111.255.2551,048,574
72244.112.0.0/12244.112.0.1 to 244.127.255.254244.127.255.2551,048,574
73244.128.0.0/12244.128.0.1 to 244.143.255.254244.143.255.2551,048,574
74244.144.0.0/12244.144.0.1 to 244.159.255.254244.159.255.2551,048,574
75244.160.0.0/12244.160.0.1 to 244.175.255.254244.175.255.2551,048,574
76244.176.0.0/12244.176.0.1 to 244.191.255.254244.191.255.2551,048,574
77244.192.0.0/12244.192.0.1 to 244.207.255.254244.207.255.2551,048,574
78244.208.0.0/12244.208.0.1 to 244.223.255.254244.223.255.2551,048,574
79244.224.0.0/12244.224.0.1 to 244.239.255.254244.239.255.2551,048,574
80244.240.0.0/12244.240.0.1 to 244.255.255.254244.255.255.2551,048,574
81245.0.0.0/12245.0.0.1 to 245.15.255.254245.15.255.2551,048,574
82245.16.0.0/12245.16.0.1 to 245.31.255.254245.31.255.2551,048,574
83245.32.0.0/12245.32.0.1 to 245.47.255.254245.47.255.2551,048,574
84245.48.0.0/12245.48.0.1 to 245.63.255.254245.63.255.2551,048,574
85245.64.0.0/12245.64.0.1 to 245.79.255.254245.79.255.2551,048,574
86245.80.0.0/12245.80.0.1 to 245.95.255.254245.95.255.2551,048,574
87245.96.0.0/12245.96.0.1 to 245.111.255.254245.111.255.2551,048,574
88245.112.0.0/12245.112.0.1 to 245.127.255.254245.127.255.2551,048,574
89245.128.0.0/12245.128.0.1 to 245.143.255.254245.143.255.2551,048,574
90245.144.0.0/12245.144.0.1 to 245.159.255.254245.159.255.2551,048,574
91245.160.0.0/12245.160.0.1 to 245.175.255.254245.175.255.2551,048,574
92245.176.0.0/12245.176.0.1 to 245.191.255.254245.191.255.2551,048,574
93245.192.0.0/12245.192.0.1 to 245.207.255.254245.207.255.2551,048,574
94245.208.0.0/12245.208.0.1 to 245.223.255.254245.223.255.2551,048,574
95245.224.0.0/12245.224.0.1 to 245.239.255.254245.239.255.2551,048,574
96245.240.0.0/12245.240.0.1 to 245.255.255.254245.255.255.2551,048,574
97246.0.0.0/12246.0.0.1 to 246.15.255.254246.15.255.2551,048,574
98246.16.0.0/12246.16.0.1 to 246.31.255.254246.31.255.2551,048,574
99246.32.0.0/12246.32.0.1 to 246.47.255.254246.47.255.2551,048,574
100246.48.0.0/12246.48.0.1 to 246.63.255.254246.63.255.2551,048,574
101246.64.0.0/12246.64.0.1 to 246.79.255.254246.79.255.2551,048,574
102246.80.0.0/12246.80.0.1 to 246.95.255.254246.95.255.2551,048,574
103246.96.0.0/12246.96.0.1 to 246.111.255.254246.111.255.2551,048,574
104246.112.0.0/12246.112.0.1 to 246.127.255.254246.127.255.2551,048,574
105246.128.0.0/12246.128.0.1 to 246.143.255.254246.143.255.2551,048,574
106246.144.0.0/12246.144.0.1 to 246.159.255.254246.159.255.2551,048,574
107246.160.0.0/12246.160.0.1 to 246.175.255.254246.175.255.2551,048,574
108246.176.0.0/12246.176.0.1 to 246.191.255.254246.191.255.2551,048,574
109246.192.0.0/12246.192.0.1 to 246.207.255.254246.207.255.2551,048,574
110246.208.0.0/12246.208.0.1 to 246.223.255.254246.223.255.2551,048,574
111246.224.0.0/12246.224.0.1 to 246.239.255.254246.239.255.2551,048,574
112246.240.0.0/12246.240.0.1 to 246.255.255.254246.255.255.2551,048,574
113247.0.0.0/12247.0.0.1 to 247.15.255.254247.15.255.2551,048,574
114247.16.0.0/12247.16.0.1 to 247.31.255.254247.31.255.2551,048,574
115247.32.0.0/12247.32.0.1 to 247.47.255.254247.47.255.2551,048,574
116247.48.0.0/12247.48.0.1 to 247.63.255.254247.63.255.2551,048,574
117247.64.0.0/12247.64.0.1 to 247.79.255.254247.79.255.2551,048,574
118247.80.0.0/12247.80.0.1 to 247.95.255.254247.95.255.2551,048,574
119247.96.0.0/12247.96.0.1 to 247.111.255.254247.111.255.2551,048,574
120247.112.0.0/12247.112.0.1 to 247.127.255.254247.127.255.2551,048,574
121247.128.0.0/12247.128.0.1 to 247.143.255.254247.143.255.2551,048,574
122247.144.0.0/12247.144.0.1 to 247.159.255.254247.159.255.2551,048,574
123247.160.0.0/12247.160.0.1 to 247.175.255.254247.175.255.2551,048,574
124247.176.0.0/12247.176.0.1 to 247.191.255.254247.191.255.2551,048,574
125247.192.0.0/12247.192.0.1 to 247.207.255.254247.207.255.2551,048,574
126247.208.0.0/12247.208.0.1 to 247.223.255.254247.223.255.2551,048,574
127247.224.0.0/12247.224.0.1 to 247.239.255.254247.239.255.2551,048,574
128247.240.0.0/12247.240.0.1 to 247.255.255.254247.255.255.2551,048,574
129248.0.0.0/12248.0.0.1 to 248.15.255.254248.15.255.2551,048,574
130248.16.0.0/12248.16.0.1 to 248.31.255.254248.31.255.2551,048,574
131248.32.0.0/12248.32.0.1 to 248.47.255.254248.47.255.2551,048,574
132248.48.0.0/12248.48.0.1 to 248.63.255.254248.63.255.2551,048,574
133248.64.0.0/12248.64.0.1 to 248.79.255.254248.79.255.2551,048,574
134248.80.0.0/12248.80.0.1 to 248.95.255.254248.95.255.2551,048,574
135248.96.0.0/12248.96.0.1 to 248.111.255.254248.111.255.2551,048,574
136248.112.0.0/12248.112.0.1 to 248.127.255.254248.127.255.2551,048,574
137248.128.0.0/12248.128.0.1 to 248.143.255.254248.143.255.2551,048,574
138248.144.0.0/12248.144.0.1 to 248.159.255.254248.159.255.2551,048,574
139248.160.0.0/12248.160.0.1 to 248.175.255.254248.175.255.2551,048,574
140248.176.0.0/12248.176.0.1 to 248.191.255.254248.191.255.2551,048,574
141248.192.0.0/12248.192.0.1 to 248.207.255.254248.207.255.2551,048,574
142248.208.0.0/12248.208.0.1 to 248.223.255.254248.223.255.2551,048,574
143248.224.0.0/12248.224.0.1 to 248.239.255.254248.239.255.2551,048,574
144248.240.0.0/12248.240.0.1 to 248.255.255.254248.255.255.2551,048,574
145249.0.0.0/12249.0.0.1 to 249.15.255.254249.15.255.2551,048,574
146249.16.0.0/12249.16.0.1 to 249.31.255.254249.31.255.2551,048,574
147249.32.0.0/12249.32.0.1 to 249.47.255.254249.47.255.2551,048,574
148249.48.0.0/12249.48.0.1 to 249.63.255.254249.63.255.2551,048,574
149249.64.0.0/12249.64.0.1 to 249.79.255.254249.79.255.2551,048,574
150249.80.0.0/12249.80.0.1 to 249.95.255.254249.95.255.2551,048,574
151249.96.0.0/12249.96.0.1 to 249.111.255.254249.111.255.2551,048,574
152249.112.0.0/12249.112.0.1 to 249.127.255.254249.127.255.2551,048,574
153249.128.0.0/12249.128.0.1 to 249.143.255.254249.143.255.2551,048,574
154249.144.0.0/12249.144.0.1 to 249.159.255.254249.159.255.2551,048,574
155249.160.0.0/12249.160.0.1 to 249.175.255.254249.175.255.2551,048,574
156249.176.0.0/12249.176.0.1 to 249.191.255.254249.191.255.2551,048,574
157249.192.0.0/12249.192.0.1 to 249.207.255.254249.207.255.2551,048,574
158249.208.0.0/12249.208.0.1 to 249.223.255.254249.223.255.2551,048,574
159249.224.0.0/12249.224.0.1 to 249.239.255.254249.239.255.2551,048,574
160249.240.0.0/12249.240.0.1 to 249.255.255.254249.255.255.2551,048,574
161250.0.0.0/12250.0.0.1 to 250.15.255.254250.15.255.2551,048,574
162250.16.0.0/12250.16.0.1 to 250.31.255.254250.31.255.2551,048,574
163250.32.0.0/12250.32.0.1 to 250.47.255.254250.47.255.2551,048,574
164250.48.0.0/12250.48.0.1 to 250.63.255.254250.63.255.2551,048,574
165250.64.0.0/12250.64.0.1 to 250.79.255.254250.79.255.2551,048,574
166250.80.0.0/12250.80.0.1 to 250.95.255.254250.95.255.2551,048,574
167250.96.0.0/12250.96.0.1 to 250.111.255.254250.111.255.2551,048,574
168250.112.0.0/12250.112.0.1 to 250.127.255.254250.127.255.2551,048,574
169250.128.0.0/12250.128.0.1 to 250.143.255.254250.143.255.2551,048,574
170250.144.0.0/12250.144.0.1 to 250.159.255.254250.159.255.2551,048,574
171250.160.0.0/12250.160.0.1 to 250.175.255.254250.175.255.2551,048,574
172250.176.0.0/12250.176.0.1 to 250.191.255.254250.191.255.2551,048,574
173250.192.0.0/12250.192.0.1 to 250.207.255.254250.207.255.2551,048,574
174250.208.0.0/12250.208.0.1 to 250.223.255.254250.223.255.2551,048,574
175250.224.0.0/12250.224.0.1 to 250.239.255.254250.239.255.2551,048,574
176250.240.0.0/12250.240.0.1 to 250.255.255.254250.255.255.2551,048,574
177251.0.0.0/12251.0.0.1 to 251.15.255.254251.15.255.2551,048,574
178251.16.0.0/12251.16.0.1 to 251.31.255.254251.31.255.2551,048,574
179251.32.0.0/12251.32.0.1 to 251.47.255.254251.47.255.2551,048,574
180251.48.0.0/12251.48.0.1 to 251.63.255.254251.63.255.2551,048,574
181251.64.0.0/12251.64.0.1 to 251.79.255.254251.79.255.2551,048,574
182251.80.0.0/12251.80.0.1 to 251.95.255.254251.95.255.2551,048,574
183251.96.0.0/12251.96.0.1 to 251.111.255.254251.111.255.2551,048,574
184251.112.0.0/12251.112.0.1 to 251.127.255.254251.127.255.2551,048,574
185251.128.0.0/12251.128.0.1 to 251.143.255.254251.143.255.2551,048,574
186251.144.0.0/12251.144.0.1 to 251.159.255.254251.159.255.2551,048,574
187251.160.0.0/12251.160.0.1 to 251.175.255.254251.175.255.2551,048,574
188251.176.0.0/12251.176.0.1 to 251.191.255.254251.191.255.2551,048,574
189251.192.0.0/12251.192.0.1 to 251.207.255.254251.207.255.2551,048,574
190251.208.0.0/12251.208.0.1 to 251.223.255.254251.223.255.2551,048,574
191251.224.0.0/12251.224.0.1 to 251.239.255.254251.239.255.2551,048,574
192251.240.0.0/12251.240.0.1 to 251.255.255.254251.255.255.2551,048,574
193252.0.0.0/12252.0.0.1 to 252.15.255.254252.15.255.2551,048,574
194252.16.0.0/12252.16.0.1 to 252.31.255.254252.31.255.2551,048,574
195252.32.0.0/12252.32.0.1 to 252.47.255.254252.47.255.2551,048,574
196252.48.0.0/12252.48.0.1 to 252.63.255.254252.63.255.2551,048,574
197252.64.0.0/12252.64.0.1 to 252.79.255.254252.79.255.2551,048,574
198252.80.0.0/12252.80.0.1 to 252.95.255.254252.95.255.2551,048,574
199252.96.0.0/12252.96.0.1 to 252.111.255.254252.111.255.2551,048,574
200252.112.0.0/12252.112.0.1 to 252.127.255.254252.127.255.2551,048,574
201252.128.0.0/12252.128.0.1 to 252.143.255.254252.143.255.2551,048,574
202252.144.0.0/12252.144.0.1 to 252.159.255.254252.159.255.2551,048,574
203252.160.0.0/12252.160.0.1 to 252.175.255.254252.175.255.2551,048,574
204252.176.0.0/12252.176.0.1 to 252.191.255.254252.191.255.2551,048,574
205252.192.0.0/12252.192.0.1 to 252.207.255.254252.207.255.2551,048,574
206252.208.0.0/12252.208.0.1 to 252.223.255.254252.223.255.2551,048,574
207252.224.0.0/12252.224.0.1 to 252.239.255.254252.239.255.2551,048,574
208252.240.0.0/12252.240.0.1 to 252.255.255.254252.255.255.2551,048,574
209253.0.0.0/12253.0.0.1 to 253.15.255.254253.15.255.2551,048,574
210253.16.0.0/12253.16.0.1 to 253.31.255.254253.31.255.2551,048,574
211253.32.0.0/12253.32.0.1 to 253.47.255.254253.47.255.2551,048,574
212253.48.0.0/12253.48.0.1 to 253.63.255.254253.63.255.2551,048,574
213253.64.0.0/12253.64.0.1 to 253.79.255.254253.79.255.2551,048,574
214253.80.0.0/12253.80.0.1 to 253.95.255.254253.95.255.2551,048,574
215253.96.0.0/12253.96.0.1 to 253.111.255.254253.111.255.2551,048,574
216253.112.0.0/12253.112.0.1 to 253.127.255.254253.127.255.2551,048,574
217253.128.0.0/12253.128.0.1 to 253.143.255.254253.143.255.2551,048,574
218253.144.0.0/12253.144.0.1 to 253.159.255.254253.159.255.2551,048,574
219253.160.0.0/12253.160.0.1 to 253.175.255.254253.175.255.2551,048,574
220253.176.0.0/12253.176.0.1 to 253.191.255.254253.191.255.2551,048,574
221253.192.0.0/12253.192.0.1 to 253.207.255.254253.207.255.2551,048,574
222253.208.0.0/12253.208.0.1 to 253.223.255.254253.223.255.2551,048,574
223253.224.0.0/12253.224.0.1 to 253.239.255.254253.239.255.2551,048,574
224253.240.0.0/12253.240.0.1 to 253.255.255.254253.255.255.2551,048,574
225254.0.0.0/12254.0.0.1 to 254.15.255.254254.15.255.2551,048,574
226254.16.0.0/12254.16.0.1 to 254.31.255.254254.31.255.2551,048,574
227254.32.0.0/12254.32.0.1 to 254.47.255.254254.47.255.2551,048,574
228254.48.0.0/12254.48.0.1 to 254.63.255.254254.63.255.2551,048,574
229254.64.0.0/12254.64.0.1 to 254.79.255.254254.79.255.2551,048,574
230254.80.0.0/12254.80.0.1 to 254.95.255.254254.95.255.2551,048,574
231254.96.0.0/12254.96.0.1 to 254.111.255.254254.111.255.2551,048,574
232254.112.0.0/12254.112.0.1 to 254.127.255.254254.127.255.2551,048,574
233254.128.0.0/12254.128.0.1 to 254.143.255.254254.143.255.2551,048,574
234254.144.0.0/12254.144.0.1 to 254.159.255.254254.159.255.2551,048,574
235254.160.0.0/12254.160.0.1 to 254.175.255.254254.175.255.2551,048,574
236254.176.0.0/12254.176.0.1 to 254.191.255.254254.191.255.2551,048,574
237254.192.0.0/12254.192.0.1 to 254.207.255.254254.207.255.2551,048,574
238254.208.0.0/12254.208.0.1 to 254.223.255.254254.223.255.2551,048,574
239254.224.0.0/12254.224.0.1 to 254.239.255.254254.239.255.2551,048,574
240254.240.0.0/12254.240.0.1 to 254.255.255.254254.255.255.2551,048,574
241255.0.0.0/12255.0.0.1 to 255.15.255.254255.15.255.2551,048,574
242255.16.0.0/12255.16.0.1 to 255.31.255.254255.31.255.2551,048,574
243255.32.0.0/12255.32.0.1 to 255.47.255.254255.47.255.2551,048,574
244255.48.0.0/12255.48.0.1 to 255.63.255.254255.63.255.2551,048,574
245255.64.0.0/12255.64.0.1 to 255.79.255.254255.79.255.2551,048,574
246255.80.0.0/12255.80.0.1 to 255.95.255.254255.95.255.2551,048,574
247255.96.0.0/12255.96.0.1 to 255.111.255.254255.111.255.2551,048,574
248255.112.0.0/12255.112.0.1 to 255.127.255.254255.127.255.2551,048,574
249255.128.0.0/12255.128.0.1 to 255.143.255.254255.143.255.2551,048,574
250255.144.0.0/12255.144.0.1 to 255.159.255.254255.159.255.2551,048,574
251255.160.0.0/12255.160.0.1 to 255.175.255.254255.175.255.2551,048,574
252255.176.0.0/12255.176.0.1 to 255.191.255.254255.191.255.2551,048,574
253255.192.0.0/12255.192.0.1 to 255.207.255.254255.207.255.2551,048,574
254255.208.0.0/12255.208.0.1 to 255.223.255.254255.223.255.2551,048,574
255255.224.0.0/12255.224.0.1 to 255.239.255.254255.239.255.2551,048,574
256255.240.0.0/12255.240.0.1 to 255.255.255.254255.255.255.2551,048,574

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses